Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.storage
Interface IStorageControler

All Known Implementing Classes:
  BalancedFileSystemStorage, BasicFileSystemStorage, DAVStorage

    public interface IStorageControler

IStorageControler
Interface décrivant les méthodes que doit obligatoirement implémenter
un contrôleur de ressource de stockage physique
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.5 $
Author:
  Mathieu Larchet

Method Summary
`void` | `createIntranet(Intranet intranet)` Création d'un intranet
`void` | `destroyDocument(java.lang.String intranet, Document doc)` Suppression d'un document
`void` | `destroyIntranet(java.lang.String intranet)` Suppression d'un intranet et de tous ses documents
`java.io.InputStream` | `loadDocument(java.lang.String intranet, Document doc)` Lecture d'un document
`void` | `saveDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Sauvegarde d'un document
`void` | `setParameters(java.util.Map parameters)` Liste des paramètres spécifiques à l'implémentation du IStorageControler
`void` | `updateDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Mise à jour d'un document

Method Detail

### saveDocument

    void saveDocument(java.lang.String intranet,
                      Document doc,
                      java.io.InputStream in)
                      throws StorageException

  Sauvegarde d'un document

  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
    `in` - le flux de lecture vers le contenu du document
  Throws:
    `StorageException`

### loadDocument

    java.io.InputStream loadDocument(java.lang.String intranet,
                                     Document doc)
                                     throws StorageException

  Lecture d'un document

  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
  Returns:
    le flux de lecture vers le document stocké
  Throws:
    `StorageException`

### updateDocument

    void updateDocument(java.lang.String intranet,
                        Document doc,
                        java.io.InputStream in)
                        throws StorageException

  Mise à jour d'un document

  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
    `in` - le flux de lecture vers le nouveau contenu, null si pas de mise à jour du contenu
  Throws:
    `StorageException`

### destroyDocument

    void destroyDocument(java.lang.String intranet,
                         Document doc)
                         throws StorageException

  Suppression d'un document

  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
  Throws:
    `StorageException`

### createIntranet

    void createIntranet(Intranet intranet)
                        throws StorageException

  Création d'un intranet

  Parameters:
    `intranet` - l'intranet à créer
  Throws:
    `StorageException`

### destroyIntranet

    void destroyIntranet(java.lang.String intranet)
                         throws StorageException

  Suppression d'un intranet et de tous ses documents

  Parameters:
    `intranet` - l'identifiant de l'intranet
  Throws:
    `StorageException`

### setParameters

    void setParameters(java.util.Map parameters)

  Liste des paramètres spécifiques à l'implémentation du IStorageControler

  Parameters:
    `parameters` - les paramètres

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD